Booklinker.API

<back to all web services

PutAccountRequest

Requires Authentication
The following routes are available for this service:
PUT/v1/account
PutAccountRequest Parameters:
NameParameterData TypeRequiredDescription
EmailAddressbodystringNo
FullNamebodystringNo
ProfileImageIdbodystringNo
SignatureImageIdbodystringNo
SignatureFontbodystringNo
SignatureAppearancebodySignatureAppearanceNo
SignatureAppearance Enum:
NameValue
Nonenone
Texttext
Uploadupload
PutAccountResponse Parameters:
NameParameterData TypeRequiredDescription
DataformPutAccountResponseDataNo
V2BaseResponse Parameters:
NameParameterData TypeRequiredDescription
ResponseStatusformResponseStatusNo
PutAccountResponseData Parameters:
NameParameterData TypeRequiredDescription
OneTimeTokenformstringNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /v1/account HTTP/1.1 
Host: api.booklinker.com 
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length

{
	newEmail: String
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

{
	success: False,
	oneTimeToken: String,
	responseStatus: 
	{
		errorCode: String,
		message: String,
		stackTrace: String,
		errors: 
		[
			{
				errorCode: String,
				fieldName: String,
				message: String,
				meta: 
				{
					String: String
				}
			}
		],
		meta: 
		{
			String: String
		}
	},
	errorCode: String,
	message: String,
	stackTrace: String,
	errors: 
	[
		{
			errorCode: String,
			fieldName: String,
			message: String,
			meta: 
			{
				String: String
			}
		}
	],
	meta: 
	{
		String: String
	}
}